# AnimViz(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``AnimViz`(bpy_struct)

  Settings for the visualization of motion

  `motion_path`

    Motion Path settings for visualization

    Type: | `AnimVizMotionPaths`, (readonly, never None)

  `onion_skin_frames`

    Onion Skinning (ghosting) settings for visualization

    Type: | `AnimVizOnionSkinning`, (readonly, never None)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Object.animation_visualization` | `Pose.animation_visualization`